import FWCore.ParameterSet.Config as cms
multPhiCorr_phys14 = cms.VPSet(
    cms.PSet(
      name=cms.string("h"),
      type=cms.int32(1),
      varType=cms.int32(0),
      etaMin=cms.double(-2.7),
      etaMax=cms.double(2.7),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(-0.00100488080903,-2.52390571355e-07),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(-0.00861386123702,4.62378996583e-07),
    ),
    cms.PSet(
      name=cms.string("h0Barrel"),
      type=cms.int32(5),
      varType=cms.int32(0),
      etaMin=cms.double(-1.392),
      etaMax=cms.double(1.392),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(-0.00934165318347,-0.000231264440872),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(-0.00571103266272,-6.23866320566e-05),
    ),
    cms.PSet(
      name=cms.string("h0EndcapPlus"),
      type=cms.int32(5),
      varType=cms.int32(0),
      etaMin=cms.double(1.392),
      etaMax=cms.double(3),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(0.0120553467578,0.000223494565384),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(0.0230337515784,0.000500746987632),
    ),
    cms.PSet(
      name=cms.string("h0EndcapMinus"),
      type=cms.int32(5),
      varType=cms.int32(0),
      etaMin=cms.double(-3.0),
      etaMax=cms.double(-1.392),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(0.0150317804201,9.95330180319e-05),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(0.0308198327343,-1.47375713164e-05),
    ),
    cms.PSet(
      name=cms.string("gammaBarrel"),
      type=cms.int32(4),
      varType=cms.int32(2),
      etaMin=cms.double(-1.479),
      etaMax=cms.double(1.479),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(-0.00183455254786,-4.36950442113e-06),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(-0.00111148670267,4.48001318056e-06),
    ),
    cms.PSet(
      name=cms.string("gammaEndcapPlus"),
      type=cms.int32(4),
      varType=cms.int32(2),
      etaMin=cms.double(1.479),
      etaMax=cms.double(3.0),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(-0.000567748005415,2.81999488957e-05),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(0.00415562062208,3.98784866726e-05),
    ),
    cms.PSet(
      name=cms.string("gammaEndcapMinus"),
      type=cms.int32(4),
      varType=cms.int32(2),
      etaMin=cms.double(-3.0),
      etaMax=cms.double(-1.479),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(0.000776596089228,1.63661712992e-05),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(-0.00446841488218,1.28857828225e-05),
    ),
    cms.PSet(
      name=cms.string("hHFPlus"),
      type=cms.int32(6),
      varType=cms.int32(0),
      etaMin=cms.double(2.901376),
      etaMax=cms.double(5.2),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(-0.000902843902424,-1.05368116476e-05),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(-0.000928116206712,-2.02159610368e-05),
    ),
    cms.PSet(
      name=cms.string("hHFMinus"),
      type=cms.int32(6),
      varType=cms.int32(0),
      etaMin=cms.double(-5.2),
      etaMax=cms.double(-2.901376),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(-0.000797275948578,-1.05466329044e-05),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(-0.000679522388353,-2.16586402923e-05),
    ),
    cms.PSet(
      name=cms.string("egammaHFPlus"),
      type=cms.int32(7),
      varType=cms.int32(0),
      etaMin=cms.double(2.901376),
      etaMax=cms.double(5.2),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(-0.00107966151869,1.12289163272e-05),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(-0.0022998808914,1.79406614595e-05),
    ),
    cms.PSet(
      name=cms.string("egammaHFMinus"),
      type=cms.int32(7),
      varType=cms.int32(0),
      etaMin=cms.double(-5.2),
      etaMax=cms.double(-2.901376),
      fx=cms.string("(x*[0])+(sq(x)*[1])"),
      px=cms.vdouble(-0.00135787955563,1.2190906775e-05),
      fy=cms.string("(x*[0])+(sq(x)*[1])"),
      py=cms.vdouble(-0.00224502303282,1.86304722922e-05),
    ),
)
